/*
	Copyright (C) 2002 Jason Stechschulte <stech@enormousplow.com>

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License.  This program is
	distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

#ifndef __IMAGES_H__
#define __IMAGES_H__

#include <iostream>
#include <fstream>
#include <string>

#include "SDL.h"
#include "SDL_image.h"

#include "fred.h"

using namespace std;

struct ImageData {
	SDL_Surface *image;
	string name;
};

class Images {
	public:
		Images(string DATADIR);
		~Images();
		int find(string image);
		int getNumberOf();
		ImageData *sprite;

	private:
		int numberof;
};

#endif
