/*
   Copyright (C) 2002 Jason Stechschulte <stech@enormousplow.com>

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License.  This program is
	distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

#ifndef __DIALOGS_H__
#define __DIALOGS_H__

#include <iostream>
#include <string>

#include "SDL.h"
#include "SDL_image.h"
#include "SDL_ttf.h"

#include "window.h"
#include "fred.h"
#include "diver.h"

using namespace std;

int begin(Window &window, Images &images, const string &DATADIR);

void showCredits(Window &window, TTF_Font *font, SDL_Color gray);

void showHelp(Window &window, TTF_Font *font, SDL_Color gray);

int showEnd(Window &window, const string &DATADIR);

#endif
